Bug 51496 - can't download digital certificate
can't download digital certificate
Status: CLOSED WONTFIX
Product: Red Hat Network
Classification: Red Hat
Component: RHN/Web Site (Show other bugs)
RHN Stable
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Greg DeKoenigsberg
Jay Turner
https://www.redhat.com/network/yn/add...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-08-10 19:47 EDT by Yo Maing!
Modified: 2015-01-07 18:50 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-08-10 19:47:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Yo Maing! 2001-08-10 19:47:47 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.01; Windows NT 5.0)

Description of problem:
download digital certificate makes this happen

This is a multipart response in MIME format 
--xxyyzzzz0011293 
Content-Type: text/html; name=Download 
Title: Downloading 


<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
"http://www.w3.org/TR/1999/REC-html401-19991224/loose.dtd">

<html>
<head>
<title>redhat.com | red hat network : digital certificate 
instructions</title>
     
     <meta name="MSSmartTagsPreventParsing" content="TRUE">

<script language="JavaScript" src="/network/help.js">

</script>

<link rel="SHORTCUT ICON" href="/favicon.ico">
<style type="text/css" media="all">@import "/css/non_ns4.css";</style>
<link rel="stylesheet" type="text/css" href="/css/redhat_lx.css">

</head>


<link rel="stylesheet" type="text/css" href="/css/network.css" />
<!-- header_network.html -->

<body bgcolor="#ffffff" link="#000066" vlink="#333399" text="#000000" 
marginwidth="0" marginheight="0" topmargin="0" leftmargin="0"  
onLoad="login_timeout(5400000)" >
	

<!-- Area title, sibling nav -->
<table width="100%" border="0" cellspacing="0" cellpadding="0" 
style="table-layout:fixed">
	<tr bgcolor="#000000">
		<td>
			<table width="98%" border="0" cellspacing="0" 
cellpadding="0" align="center">
				<tr bgcolor="#000000">
					<td width="50%" valign="top">
			
			<img src="/network/img/network_logo.gif" 
width="214" height="44" border="0" alt="Red Hat Network">
					</td>
					<td width="48%" align="right">


<span style="color: #ffffff;">User: <a href="/network/prefs/account.html?
user:edit_start_cb&saved_url=/network/yn/addsys3.html&saved_state=&saved_ti
tle=" style="color: #ffffff;">phredwolf420</a></span>  

					</td>
					<td align="right"> <a 
href="/network/?login:logout_cb=1"><img src="/network/img/logout.gif" 
width="59" height="16" border="0" alt="log out" /></a></td>
				</tr>
			</table>
		</td>
	<tr>
		<td bgcolor="#999999"><img src="/img/pixel.gif" width="1" 
height="2" border="0" alt="" /></td>
	</tr>
</table>

<table width="98%" border="0" cellspacing="0" cellpadding="0" 
align="center">
	<tr>
		<td>
			<table width="100%" border="0" cellspacing="0" 
cellpadding="4">
				<tr>
					<td align="right"><a 
href="http://www.redhat.com/index.html"><img 
src="/network/img/redhat_link.gif" width="76" height="7" border="0" 
alt="go to redhat.com" vspace="5" /></a></td>
				</tr>
			</table>
		</td>
	</tr>
<!-- row to show if page is the MAIN PAGE 
################################### -->

	<tr>
		<td><img src="/img/pixel.gif" width="1" height="1" 
border="0" alt=""></td>
	</tr>
	
	<tr>
		<td bgcolor="#999999"><img src="/img/pixel.gif" width="1" 
height="1" border="0" alt="" /></td>
	</tr>
</table>

<table width="98%" border="0" cellspacing="0" cellpadding="0" 
align="center">
	<tr>
		<td valign="top" nowrap>
<table border="0" cellspacing="0" cellpadding="0"><tr>	

<td width="100" height="22" class="headtaboff" align="center" 
nowrap="nowrap"><a href="/network/main/"><span 
class="siblinglinkoff">Main</span></a></td>
<td><img src="/img/pixel.gif" width="1" height="1" border="0" alt=""></td>


<td width="100" height="22" class="headtabon" align="center" 
nowrap="nowrap"><a href="/network/yn/"><span class="siblinglinkon">Your 
Network</span></a></td>
<td><img src="/img/pixel.gif" width="1" height="1" border="0" alt=""></td>


<td width="100" height="22" class="headtaboff" align="center" 
nowrap="nowrap"><a href="/network/reporting/"><span 
class="siblinglinkoff">Search Errata Alerts</span></a></td>
<td><img src="/img/pixel.gif" width="1" height="1" border="0" alt=""></td>


<td width="100" height="22" class="headtaboff" align="center" 
nowrap="nowrap"><a href="/network/prefs/"><span 
class="siblinglinkoff">Preferences</span></a></td>
<td><img src="/img/pixel.gif" width="1" height="1" border="0" alt=""></td>


<td width="100" height="22" class="headtaboff" align="center" 
nowrap="nowrap"><a href="/network/service/"><span 
class="siblinglinkoff">Help Desk</span></a></td>
<td><img src="/img/pixel.gif" width="1" height="1" border="0" alt=""></td>


<td width="100" height="22" class="headtaboff" align="center" 
nowrap="nowrap"><a href="/network/purchase/"><span 
class="siblinglinkoff">Purchase Info</span></a></td>
<td><img src="/img/pixel.gif" width="1" height="1" border="0" alt=""></td>


</tr></table>
		</td>	
		<td align="right">
			 
	      
		</td>
	</tr>
</table>

<!-- end area title, sibling nav -->	
<br />
<table width="98%" border="0" cellspacing="1" cellpadding="9" 
align="center">
	<tr>
		<td align="right"><a href="javascript: openhelp
('add_update.html','nav.html','asp');">Page Help</a></td>
	</tr>
	<tr bgcolor="cccccc">
		<td><div class="tabletitle">Add System Profile</div></td>
	</tr>
	<tr bgcolor="#eeeeee">
		<td><img src="/img/pixel.gif" width="1" height="8" 
alt="" /><br /><span class="stepoff">STEP 1. Define system profile 
|</span> <span class="stepoff">STEP 2. Download Digital Certificate 
|</span> <span class="stepon"> STEP 3. Install</span><br />
			<img src="/img/pixel.gif" width="1" height="10" 
alt="" /><br />
			<!--#include virtual="/include/line_gray.html" --
><br />
			<img src="/img/pixel.gif" width="1" height="8" 
alt="" /><br />
			<span class="listbold">Digital Certificate for 
chilly2</span><br />
			<img src="/img/pixel.gif" width="1" height="10" 
alt="" /><br />
				<ol>
					<li class="listbold"> <span 
class="listreg">Open <b>xterm</b> and log in as root on</span> <span 
class="ctext">chilly2</span><br /> </li>
					<li class="listbold"> <span 
class="listreg">Copy the Digital Certificate to</span> <span 
class="ctext">/etc/sysconfig/rhn/systemid</span><br /> </li>
					<li class="listbold"> <span 
class="listreg">Enable the Red Hat Network daemon:</span>
						<ul type="disc">
							<li 
class="listgray"> <span class="listreg">enter</span> <span 
class="ctext">/sbin/service rhnsd restart</span></li>
							<li 
class="listgray"> <span class="listreg">enter</span> <span 
class="ctext">/sbin/chkconfig --level 345 rhnsd on</span></li>
						</ul>
					</li>
				</ol>
			<p> </p>
			<form action="addsys1.html" method="post">
		</td>
	</tr>
</table>
<table width="98%" bgcolor="#ffcc00" border="0" cellspacing="0" 
cellpadding="9" align="center">
	<tr>
		<td><input type="submit" value="Add Another System 
Profile" /></td>
		<td align="right"><input type="button" name="Finish" 
value="Finish"  onclick="window.location='index.html'" /></td>
	</tr>
</table>




<br />
<table width="98%" border="0" cellspacing="0" cellpadding="5" 
align="center">
	<tr>
		<td><div style="font-size: 8pt;">Copyright ) 2001 Red Hat, 
Inc. All rights reserved. <a 
href="/network/service/security_privacy.html">Security and Privacy 
Policy</a></div></td>
	</tr>
</table>
<br />
</body>
</html>


--xxyyzzzz0011293
Content-type: application/octet-stream; title=systemid
Content-Disposition: attachment; filename=systemid
Content-Length: 1231

<?xml version="1.0"?>
<params>
<param>
<value><struct>
<member>
<name>type</name>
<value><string>REAL</string></value>
</member>
<member>
<name>checksum</name>
<value><string>8d71acf161f47e351454f752f0c9d3f2</string></value>
</member>
<member>
<name>description</name>
<value><string>7.1 system running on i686</string></value>
</member>
<member>
<name>os_release</name>
<value><string>7.1</string></value>
</member>
<member>
<name>architecture</name>
<value><string>i686</string></value>
</member>
<member>
<name>system_id</name>
<value><string>ID-1000313911</string></value>
</member>
<member>
<name>operating_system</name>
<value><string>Red Hat Linux</string></value>
</member>
<member>
<name>profile_name</name>
<value><string>chilly2</string></value>
</member>
<member>
<name>fields</name>
<value><array><data>
<value><string>system_id</string></value>
<value><string>os_release</string></value>
<value><string>operating_system</string></value>
<value><string>architecture</string></value>
<value><string>username</string></value>
<value><string>type</string></value>
</data></array></value>
</member>
<member>
<name>username</name>
<value><string>phredwolf420</string></value>
</member>
</struct></value>
</param>
</params>



How reproducible:
Always

Steps to Reproduce:
1. setup a new rhn account
2.try to download digital certificate
3.
	

Actual Results:  This is a multipart response in MIME format 
--xxyyzzzz0011293 
Content-Type: text/html; name=Download 
Title: Downloading 


<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
"http://www.w3.org/TR/1999/REC-html401-19991224/loose.dtd">

<html>
<head>
<title>redhat.com | red hat network : digital certificate 
instructions</title>
     
     <meta name="MSSmartTagsPreventParsing" content="TRUE">

<script language="JavaScript" src="/network/help.js">

</script>

<link rel="SHORTCUT ICON" href="/favicon.ico">
<style type="text/css" media="all">@import "/css/non_ns4.css";</style>
<link rel="stylesheet" type="text/css" href="/css/redhat_lx.css">

</head>


<link rel="stylesheet" type="text/css" href="/css/network.css" />
<!-- header_network.html -->

<body bgcolor="#ffffff" link="#000066" vlink="#333399" text="#000000" 
marginwidth="0" marginheight="0" topmargin="0" leftmargin="0"  
onLoad="login_timeout(5400000)" >
	

<!-- Area title, sibling nav -->
<table width="100%" border="0" cellspacing="0" cellpadding="0" 
style="table-layout:fixed">
	<tr bgcolor="#000000">
		<td>
			<table width="98%" border="0" cellspacing="0" 
cellpadding="0" align="center">
				<tr bgcolor="#000000">
					<td width="50%" valign="top">
			
			<img src="/network/img/network_logo.gif" 
width="214" height="44" border="0" alt="Red Hat Network">
					</td>
					<td width="48%" align="right">


<span style="color: #ffffff;">User: <a href="/network/prefs/account.html?
user:edit_start_cb&saved_url=/network/yn/addsys3.html&saved_state=&saved_ti
tle=" style="color: #ffffff;">phredwolf420</a></span>  

					</td>
					<td align="right"> <a 
href="/network/?login:logout_cb=1"><img src="/network/img/logout.gif" 
width="59" height="16" border="0" alt="log out" /></a></td>
				</tr>
			</table>
		</td>
	<tr>
		<td bgcolor="#999999"><img src="/img/pixel.gif" width="1" 
height="2" border="0" alt="" /></td>
	</tr>
</table>

<table width="98%" border="0" cellspacing="0" cellpadding="0" 
align="center">
	<tr>
		<td>
			<table width="100%" border="0" cellspacing="0" 
cellpadding="4">
				<tr>
					<td align="right"><a 
href="http://www.redhat.com/index.html"><img 
src="/network/img/redhat_link.gif" width="76" height="7" border="0" 
alt="go to redhat.com" vspace="5" /></a></td>
				</tr>
			</table>
		</td>
	</tr>
<!-- row to show if page is the MAIN PAGE 
################################### -->

	<tr>
		<td><img src="/img/pixel.gif" width="1" height="1" 
border="0" alt=""></td>
	</tr>
	
	<tr>
		<td bgcolor="#999999"><img src="/img/pixel.gif" width="1" 
height="1" border="0" alt="" /></td>
	</tr>
</table>

<table width="98%" border="0" cellspacing="0" cellpadding="0" 
align="center">
	<tr>
		<td valign="top" nowrap>
<table border="0" cellspacing="0" cellpadding="0"><tr>	

<td width="100" height="22" class="headtaboff" align="center" 
nowrap="nowrap"><a href="/network/main/"><span 
class="siblinglinkoff">Main</span></a></td>
<td><img src="/img/pixel.gif" width="1" height="1" border="0" alt=""></td>


<td width="100" height="22" class="headtabon" align="center" 
nowrap="nowrap"><a href="/network/yn/"><span class="siblinglinkon">Your 
Network</span></a></td>
<td><img src="/img/pixel.gif" width="1" height="1" border="0" alt=""></td>


<td width="100" height="22" class="headtaboff" align="center" 
nowrap="nowrap"><a href="/network/reporting/"><span 
class="siblinglinkoff">Search Errata Alerts</span></a></td>
<td><imgsrc="/img/pixel.gif" width="1" height="1" border="0" alt=""></td>


<td width="100" height="22" class="headtaboff" align="center" 
nowrap="nowrap"><a href="/network/prefs/"><span 
class="siblinglinkoff">Preferences</span></a></td>
<td><img src="/img/pixel.gif" width="1" height="1" border="0" alt=""></td>


<td width="100" height="22" class="headtaboff" align="center" 
nowrap="nowrap"><a href="/network/service/"><span 
class="siblinglinkoff">Help Desk</span></a></td>
<td><img src="/img/pixel.gif" width="1" height="1" border="0" alt=""></td>


<td width="100" height="22" class="headtaboff" align="center" 
nowrap="nowrap"><a href="/network/purchase/"><span 
class="siblinglinkoff">Purchase Info</span></a></td>
<td><img src="/img/pixel.gif" width="1" height="1" border="0" alt=""></td>


</tr></table>
		</td>	
		<td align="right">
			 
	      
		</td>
	</tr>
</table>

<!-- end area title, sibling nav -->	
<br />
<table width="98%" border="0" cellspacing="1" cellpadding="9" 
align="center">
	<tr>
		<td align="right"><a href="javascript: openhelp
('add_update.html','nav.html','asp');">Page Help</a></td>
	</tr>
	<tr bgcolor="cccccc">
		<td><div class="tabletitle">Add System Profile</div></td>
	</tr>
	<tr bgcolor="#eeeeee">
		<td><img src="/img/pixel.gif" width="1" height="8" 
alt="" /><br /><span class="stepoff">STEP 1. Define system profile 
|</span> <span class="stepoff">STEP 2. Download Digital Certificate 
|</span> <span class="stepon"> STEP 3. Install</span><br />
			<img src="/img/pixel.gif" width="1" height="10" 
alt="" /><br />
			<!--#include virtual="/include/line_gray.html" --
><br />
			<img src="/img/pixel.gif" width="1" height="8" 
alt="" /><br />
			<span class="listbold">Digital Certificate for 
chilly2</span><br />
			<img src="/img/pixel.gif" width="1" height="10" 
alt="" /><br />
				<ol>
					<li class="listbold"> <span 
class="listreg">Open <b>xterm</b> and log in as root on</span> <span 
class="ctext">chilly2</span><br /> </li>
					<li class="listbold"> <span 
class="listreg">Copy the Digital Certificate to</span> <span 
class="ctext">/etc/sysconfig/rhn/systemid</span><br /> </li>
					<li class="listbold"> <span 
class="listreg">Enable the Red Hat Network daemon:</span>
						<ul type="disc">
							<li 
class="listgray"> <span class="listreg">enter</span> <span 
class="ctext">/sbin/service rhnsd restart</span></li>
							<li 
class="listgray"> <span class="listreg">enter</span> <span 
class="ctext">/sbin/chkconfig --level 345 rhnsd on</span></li>
						</ul>
					</li>
				</ol>
			<p> </p>
			<form action="addsys1.html" method="post">
		</td>
	</tr>
</table>
<table width="98%" bgcolor="#ffcc00" border="0" cellspacing="0" 
cellpadding="9" align="center">
	<tr>
		<td><input type="submit" value="Add Another System 
Profile" /></td>
		<td align="right"><input type="button" name="Finish" 
value="Finish"  onclick="window.location='index.html'" /></td>
	</tr>
</table>




<br />
<tablewidth="98%" border="0" cellspacing="0" cellpadding="5" 
align="center">
	<tr>
		<td><div style="font-size: 8pt;">Copyright ) 2001 Red Hat, 
Inc. All rights reserved. <a 
href="/network/service/security_privacy.html">Security and Privacy 
Policy</a></div></td>
	</tr>
</table>
<br />
</body>
</html>


--xxyyzzzz0011293
Content-type: application/octet-stream; title=systemid
Content-Disposition: attachment; filename=systemid
Content-Length: 1231

<?xml version="1.0"?>
<params>
<param>
<value><struct>
<member>
<name>type</name>
<value><string>REAL</string></value>
</member>
<member>
<name>checksum</name>
<value><string>8d71acf161f47e351454f752f0c9d3f2</string></value>
</member>
<member>
<name>description</name>
<value><string>7.1 system running on i686</string></value>
</member>
<member>
<name>os_release</name>
<value><string>7.1</string></value>
</member>
<member>
<name>architecture</name>
<value><string>i686</string></value>
</member>
<member>
<name>system_id</name>
<value><string>ID-1000313911</string></value>
</member>
<member>
<name>operating_system</name>
<value><string>Red Hat Linux</string></value>
</member>
<member>
<name>profile_name</name>
<value><string>chilly2</string></value>
</member>
<member>
<name>fields</name>
<value><array><data>
<value><string>system_id</string></value>
<value><string>os_release</string></value>
<value><string>operating_system</string></value>
<value><string>architecture</string></value>
<value><string>username</string></value>
<value><string>type</string></value>
</data></array></value>
</member>
<member>
<name>username</name>
<value><string>phredwolf420</string></value>
</member>
</struct></value>
</param>
</params>



Expected Results:  i get the digital certificate

Additional info:

can you let me know when it's fixed? fred@digicamp.com

would like to try out redhat network
Comment 1 Chip Turner 2001-09-27 00:05:45 EDT
Old site stuff.  Axing it.

Note You need to log in before you can comment on or make changes to this bug.